#!/usr/bin/env perl

use XyceRegression::Tools;
$Tools = XyceRegression::Tools->new();
#$Tools->setDebug(1);

# The input arguments to this script are set up in 
# Xyce_Test/TestScripts/tsc_run_test_suite and are as follows:
# $ARGV[0] = location of Xyce binary
# $ARGV[1] = location of xyce_verify.pl script
# $ARGV[2] = location of compare script  (This is NEVER used and can be ignored)
# $ARGV[3] = location of circuit file to test
# $ARGV[4] = location of gold standard prn file

use Getopt::Long;
&GetOptions( "verbose!" => \$verbose );
$XYCE=$ARGV[0];
#$XYCE_VERIFY=$ARGV[1];
$CIRFILE=$ARGV[3]; 
#$GOLDPRN=$ARGV[4];

if (defined($verbose)) { $Tools->setVerbose(1); }

# check various error cases
# this string should be in the output of this failed Xyce run  
@searchstrings = ( ["Netlist error in file Bad_PWL_Source.cir at or near line 3",
    "PWL device missing source parameters: V1"],
    ["Netlist error in file Bad_PWL_Source.cir at or near line 6",
    "Could not parse time/value pairs for piecewise linear function in device: V2"],
    ["Netlist error in file Bad_PWL_Source.cir at or near line 9",
    "Could not parse time/value pairs for piecewise linear function in device: V3"],
    ["Netlist error in file Bad_PWL_Source.cir at or near line 12",
    "Could not parse time/value pairs for piecewise linear function in device: V4"],
    ["Netlist error in file Bad_PWL_Source.cir at or near line 16",
    "Could not find file", 
    "Netlist error: Failed to successfully read",
    "Netlist error: Problem reading badTimeVoltageList.csv",
    "File format must be comma, tab or space separated value. There should be no",
     "extra spaces or tabs around the comma if it is used as the separator."] );

$retval = $Tools->runAndCheckGroupedError($CIRFILE,$XYCE,@searchstrings);
print "Exit code = $retval\n"; exit $retval; 
